# Class PlotDataPointIterator

java.lang.Object
uk.ac.starlink.ttools.plot.PointIterator
uk.ac.starlink.ttools.plot.PlotDataPointIterator

public class PlotDataPointIterator extends PointIterator
PointIterator implementation based on a `PlotData` object.

Since:
  9 Apr 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class PointIterator

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`PlotDataPointIterator(PlotData data, PointPlacer placer)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected int[]`
`nextPoint()`
Returns a triple giving point index, screen X coordinate and screen Y coordinate.

### Methods inherited from class PointIterator

`getAllPoints, getClosestPoint, getContainedPoints, getIndex, getX, getY, readNextPoint`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotDataPointIterator

public PlotDataPointIterator(PlotData data, PointPlacer placer)
Constructor.

Parameters:
  `data` - object supplying point data

## Method Details

### nextPoint

protected int[] nextPoint()
Description copied from class: `PointIterator`
Returns a triple giving point index, screen X coordinate and screen Y coordinate. Returns null if there are no more points. It is permissible to return the same `int[]` array with different contents each time. Invoked by `PointIterator.readNextPoint()`.

Specified by:
  `nextPoint` in class `PointIterator`
Returns:
  ip, xp, yp triple